Subject: Re: [Simple] 3GPP Messaging requirements

From: Jonathan Rosenberg <[email-masked]>
Date: Sat, 16 Nov 2002 00:14:30 -0500

Aki,

My apologies for not taking a look at this till now.

This is a good collection of requirements. As you know, I think most of 
them are addressed already. A few comments on some of them:

> It MUST be possible to use a single address to identify the recipient
>    or sender of an instant message or a member in a message session,
>    irrespective of the messaging system.

I wasn't sure what to make of this requirement. Is this asking for 
something new from SIP? You can put whatever kind of address you want 
into the From field of a MESSAGE request or an INVITE to set up a session...

>  Additionally, it MUST be possible to send the entire message body, or
>    parts of the body in a way that allows the recipient to choose
>    between receiv�ng the body and ignoring it.

parts of the body? What does that mean? Do you mean I can ask to receive 
the top half of a jpeg only? I hope not.

If you are just talking about receiving parts on a body-by-body basis, 
clearly indirection is the right solution for this.

> 3.3 Data Manipulation and Management Requirements

I suspect all of these will be met by the conference control protocol 
work going on in sipping.

> It MUST be possible to divert or block instant messages as part of a
>    user configurable option.  Such mechanisms MUST support instant
>    message diversion based on sender address, message size, message
>    priority, message subject, message class and message content type.

what is message class?

> It is proposed that the SIMPLE Working Group evaluates the
>    requirements presented in this document and incorporates the relevant
>    ones in its current work items.  Those requirements possibly falling
>    out of the scope of the SIMPLE WG should find a more suitable home,
>    possibly also in other standardization bodies.

As I commented at the last IETF, I would propose that those requirements 
which do belong to SIMPLE get folded into our general work item on 
advanced IM requirements.

-Jonathan R.

[email-masked] wrote:
 > Hi All,
 >
 > Like promised in Yokohama, there is now a document available
 > describing the 3GPP requirements to Instant Messaging. It lists
 > requirements for both pager mode and session mode IM. Here's a link
 > for your convenience:
 >
 > http://www.ietf.org/internet-drafts/draft-niemi-simple-im-wireless-re-
 > qs-00.txt
 >
 > I'd especially like to draw your attention to the requirements for
 > session mode IM, as well as the requirements for data manipulation.
 >
 > Note also, that when 3GPP talks about session based messaging, there
 > is a strong flavor of multiparty sessions to it. The conferencing
 > aspects, and the chat-room type aspects of this document should be
 > considered already in the current message session work.
 >
 > Cheers, Aki
 >
 > _______________________________________________ simple mailing list
 > [email-masked]
 > http://mailman.dynamicsoft.com/mailman/listinfo/simple
 >

-- 
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
simple mailing list
[email-masked]
http://mailman.dynamicsoft.com/mailman/listinfo/simple